# CoinArbitraryArrayWithLength Class Reference

arbitrary version More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinArbitraryArrayWithLength:
[legend]
Collaboration diagram for CoinArbitraryArrayWithLength:
[legend]

List of all members.

## Public Member Functions
Get methods.
int | getSize () const
| Get the size.
void ** | array () const
| Get Array.
Set methods
void | setSize (int value)
| Set the size.
Condition methods
char * | conditionalNew (int length, int sizeWanted)
| Conditionally gets new array.
Constructors and destructors
| CoinArbitraryArrayWithLength (int length=1)
| Default constructor - NULL.
| CoinArbitraryArrayWithLength (int length, int size)
| Alternate Constructor - length in bytes - size_ -1.
| CoinArbitraryArrayWithLength (int length, int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.
| CoinArbitraryArrayWithLength (const CoinArbitraryArrayWithLength &rhs)
| Copy constructor.
| CoinArbitraryArrayWithLength (const CoinArbitraryArrayWithLength *rhs)
| Copy constructor.2.
CoinArbitraryArrayWithLength & | operator= (const CoinArbitraryArrayWithLength &rhs)
| Assignment operator.
## Protected Attributes
Private member data
int | lengthInBytes_
| Length in bytes.

## Detailed Description

arbitrary version

Definition at line 995 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinArbitraryArrayWithLength::CoinArbitraryArrayWithLength | ( | int | length = `1` | ) | `[inline]`

Default constructor - NULL.

Definition at line 1026 of file CoinIndexedVector.hpp.

CoinArbitraryArrayWithLength::CoinArbitraryArrayWithLength | ( | int | length,
|  | int | size |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes - size_ -1.

Definition at line 1029 of file CoinIndexedVector.hpp.

CoinArbitraryArrayWithLength::CoinArbitraryArrayWithLength | ( | int | length,
|  | int | size,
|  | int | mode |
| ) |  |  | `[inline]`

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 1035 of file CoinIndexedVector.hpp.

CoinArbitraryArrayWithLength::CoinArbitraryArrayWithLength | ( | const CoinArbitraryArrayWithLength & | rhs | ) | `[inline]`

Copy constructor.

Definition at line 1038 of file CoinIndexedVector.hpp.

CoinArbitraryArrayWithLength::CoinArbitraryArrayWithLength | ( | const CoinArbitraryArrayWithLength * | rhs | ) | `[inline]`

Copy constructor.2.

Definition at line 1041 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinArbitraryArrayWithLength::getSize | ( |  | ) | const`[inline]`

Get the size.

Reimplemented from CoinArrayWithLength.

Definition at line 1001 of file CoinIndexedVector.hpp.

void** CoinArbitraryArrayWithLength::array | ( |  | ) | const`[inline]`

Get Array.

Reimplemented from CoinArrayWithLength.

Definition at line 1004 of file CoinIndexedVector.hpp.

void CoinArbitraryArrayWithLength::setSize | ( | int | value | ) | `[inline]`

Set the size.

Reimplemented from CoinArrayWithLength.

Definition at line 1011 of file CoinIndexedVector.hpp.

char* CoinArbitraryArrayWithLength::conditionalNew | ( | int | length,
|  | int | sizeWanted |
| ) |  |  | `[inline]`

Conditionally gets new array.

Definition at line 1018 of file CoinIndexedVector.hpp.

CoinArbitraryArrayWithLength& CoinArbitraryArrayWithLength::operator= | ( | const CoinArbitraryArrayWithLength & | rhs | ) | `[inline]`

Assignment operator.

Reimplemented from CoinArrayWithLength.

Definition at line 1044 of file CoinIndexedVector.hpp.

## Member Data Documentation

int CoinArbitraryArrayWithLength::lengthInBytes_`[protected]`

Length in bytes.

Definition at line 1052 of file CoinIndexedVector.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/CoinUtils-2.9.4/CoinUtils/src/CoinIndexedVector.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines